author: mongoose-os
description: A JS-enabled demo Mongoose OS firmware
# arch: PLATFORM
version: 1.0
manifest_version: 2017-05-18
libs_version: ${mos.version}
modules_version: ${mos.version}
mongoose_os_version: ${mos.version}



config_schema:
  - ["i2c.enable", false]
  - ["wifi.ap.enable", false]
  - ["wifi.ap.trigger_on_gpio", 14] 
  - ["wifi.ap.ssid", "FanstelGW_??????"]
  - ["wifi.ap.pass", ""]
  - ["sntp.enable", false]
  - ["wifi.sta.enable", true]
  - ["wifi.sta.ssid", "FanstelSystems"]
  - ["wifi.sta.pass", "LeoChen770770"] 

         
tags:
  - js

filesystem:
  - fs
  - c
  - wifi
    
# List of files / directories with C sources. No slashes at the end of dir names.
sources:
  - src
  
libs:
  - origin: https://github.com/mongoose-os-libs/ca-bundle
  - origin: https://github.com/mongoose-os-libs/rpc-service-config
  - origin: https://github.com/mongoose-os-libs/rpc-service-fs
  - origin: https://github.com/mongoose-os-libs/rpc-uart
  - origin: https://github.com/mongoose-os-libs/wifi
  - origin: https://github.com/mongoose-os-libs/js-demo-bundle
  - origin: https://github.com/mongoose-os-libs/http-server
  - origin: https://github.com/mongoose-os-libs/rpc-uart
  - origin: https://github.com/mongoose-os-libs/wifi
